
%bcond_with tests

Name:           lsfrom
Version:        1.0
Release:    1%{?dist}
Summary:        List directory files starting from a specific name

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
%if %{with tests}
BuildRequires:  ghc-directory-devel
%endif

%description
`lsfrom` lists the entries of a directory starting from a particular file and
then the files after it with respect to locale collation ordering.
This can be useful for example for continuing a command or script in a
directory after a failure.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}


%check
%if %{with tests}
%cabal_test
%endif


%files
%license LICENSE
%doc ChangeLog.md README.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
